﻿using System;
using System.Collections.Generic;
using System.IO;
using IniFile8;

namespace initest
{
	class TestMain
	{
		[STAThread]
		public static void Main(string[] args)
		{
			// EXE 位置に test.ini 作成
			var ass = System.Reflection.Assembly.GetEntryAssembly();
			string path = Path.Combine(Path.GetDirectoryName(ass.Location), "test.ini");
			// IniFile オブジェクト
			var ini = new IniFile8.IniFile(path);
			try
			{
				ini.WriteString("せくしょん", "きー", "値");
				ini.WriteString("二段目", "きー", "値");
				ini.WriteInteger("せくしょん", "int", 666);
				// 書き換えテスト
				ini.WriteInteger("せくしょん", "int", 4);
				// Byte Order Mark をつけるなら以下コメントアウトを外す
				//ini.Bom = true;
				ini.Save();
			}
			catch (Exception ex)
			{
				Console.WriteLine(ex.Message);
			}
			// 読み込み例外テスト
			var err = new IniFile8.IniFileReader(path);
			try
			{
				int r = err.ReadInteger("せくしょん", "きー", 10);
				Console.WriteLine(r);
			}
			catch (FormatException ex)
			{
				Console.WriteLine(ex.Message);
			}
		}
	}
}
